#ifndef _STDIO_H
#include <stdio.h>
#ifndef _STDIO_H
#define _STDIO_H
#endif
#endif

#ifndef _LALDATATYPES_H
#include "LALDatatypes.h"
#ifndef _LALDATATYPES_H
#define _LALDATATYPES_H
#endif
#endif

#ifndef _LALSTATUSMACROS_H
#include "LALStatusMacros.h"
#ifndef _LALSTATUSMACROS_H
#define _LALSTATUSMACROS_H
#endif
#endif

#ifndef _LALHELLO_H
#include "LALHello.h"
#ifndef _LALHELLO_H
#define _LALHELLO_H
#endif
#endif

static volatile const char *LALHELLOC = "$Id: LALHello.c$";


/* don't want this function to be visible outside this file */
static void
LALPrintMessage (Status *status, const CHAR *message, const CHAR *fileName)
{
  FILE *filePtr;

  INITSTATUS (status, LALHELLOC);

  if (fileName)
  {
    filePtr = fopen (fileName, "w");
  }
  else
  {
    filePtr = stdout;
  }

  ASSERT (filePtr, status, 1, "Could not open file");
    
  printf (message);

  RETURN (status);
}


void
LALHello (Status *status, const CHAR *fileName)
{
  INITSTATUS (status, LALHELLOC);
  ATTATCHSTATUSPTR (status);

  LALPrintMessage (status->statusPtr, "hello, LSC!\n", fileName);
  CHECKSTATUSPTR (status);
  
  DETATCHSTATUSPTR (status);
  RETURN (status);  
}
